Support » Plugin: Query Monitor » Peak memory usage incrase since 2.16.x

  • Air.

    (@air-1)


    Hey.

    Since version 2.16 I have notice large increase with memory usage when visiting customizer page.

    With 2.15 it used 10,755 kB 4.1% of 262,144 kB limit.
    Now it uses 98,465 kB 37.6% of 262,144 kB limit in 2.16 & 2.17.

    It is same theme, with around 100 customizer options.

    I have another theme with around 300~ options and then it crashes as it exceeds memory limit.

    It works fine with 2.15 however, even in theme with 300 options, it uses only 27,851 kB 10.6% of 262,144 kB limit.

    With kind regards.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author John Blackbourn

    (@johnbillion)

    WordPress Core Developer

    Thanks for the report. Unfortunately the Capability Checks panel that I added in 2.16 uses significantly more memory than I was expecting due to the stack traces that it logs and the high number of capability checks that many sites perform.

    I’ve made some changes over the last few days which greatly reduce the overall memory that QM uses, in some cases by 80%. I’ll release an update soon!

    Thread Starter Air.

    (@air-1)

    That is great. I will report back after new version test.

    With kind regards.

    Plugin Author John Blackbourn

    (@johnbillion)

    WordPress Core Developer

    If you want to try out the development version of QM, you can grab the develop branch from GitHub and try that out.

    Thread Starter Air.

    (@air-1)

    It looks better but still big.

    With 2.15 it used 10,755 kB 4.1% of 262,144 kB limit.
    Now it uses 98,465 kB 37.6% of 262,144 kB limit in 2.16 & 2.17.

    Now it is 61,426 kB 23.4% of 262,144 kB limit

    Plugin Author John Blackbourn

    (@johnbillion)

    WordPress Core Developer

    Holy moly, the Customizer triggers a *huge* number of capability checks. Over 400 on a vanilla WordPress installation running Twenty Seventeen.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Peak memory usage incrase since 2.16.x’ is closed to new replies.